#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t1_res_block_0(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c, int& n_yy_ind, int* yy_ind, int& i_E_start, int& i_E_end)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   double var_n_x=0; 
   double t1_var_n_x=0; 
   double var_Tin=0; 
   double t1_var_Tin=0; 
   double var_FbinMin=0; 
   double t1_var_FbinMin=0; 
   double var_FbinMax=0; 
   double t1_var_FbinMax=0; 
   double var_TwMin=0; 
   double t1_var_TwMin=0; 
   double var_TwMax=0; 
   double t1_var_TwMax=0; 
   double var_TK0=0; 
   double t1_var_TK0=0; 
   double var_b2=0; 
   double t1_var_b2=0; 
   double var_Fscal=0; 
   double t1_var_Fscal=0; 
   double var_MA=0; 
   double t1_var_MA=0; 
   double var_MB=0; 
   double t1_var_MB=0; 
   double var_MC=0; 
   double t1_var_MC=0; 
   double var_ME=0; 
   double t1_var_ME=0; 
   double var_MG=0; 
   double t1_var_MG=0; 
   double var_MP=0; 
   double t1_var_MP=0; 
   double var_k1=0; 
   double t1_var_k1=0; 
   double var_k2=0; 
   double t1_var_k2=0; 
   double var_k3=0; 
   double t1_var_k3=0; 
   double var_E1=0; 
   double t1_var_E1=0; 
   double var_E2=0; 
   double t1_var_E2=0; 
   double var_E3=0; 
   double t1_var_E3=0; 
   double var_DH1=0; 
   double t1_var_DH1=0; 
   double var_DH2=0; 
   double t1_var_DH2=0; 
   double var_DH3=0; 
   double t1_var_DH3=0; 
   double var_CP=0; 
   double t1_var_CP=0; 
   double var_cRevP=0; 
   double t1_var_cRevP=0; 
   double var_cRevE=0; 
   double t1_var_cRevE=0; 
   double var_Aref=0; 
   double t1_var_Aref=0; 
   double var_mref=0; 
   double t1_var_mref=0; 
   double var_U=0; 
   double t1_var_U=0; 
   double par_TwCur=0; 
   double t1_par_TwCur=0; 
   double par_FbinCur=0; 
   double t1_par_FbinCur=0; 
   double par_FainCur=0; 
   double t1_par_FainCur=0; 
   double par_FinalTime=0; 
   double t1_par_FinalTime=0; 
   double var_rhoA=0; 
   double t1_var_rhoA=0; 
   double der_var_rhoA=0; 
   double t1_der_var_rhoA=0; 
   double var_rhoB=0; 
   double t1_var_rhoB=0; 
   double der_var_rhoB=0; 
   double t1_der_var_rhoB=0; 
   double var_rhoC=0; 
   double t1_var_rhoC=0; 
   double der_var_rhoC=0; 
   double t1_der_var_rhoC=0; 
   double var_rhoE=0; 
   double t1_var_rhoE=0; 
   double der_var_rhoE=0; 
   double t1_der_var_rhoE=0; 
   double var_rhoG=0; 
   double t1_var_rhoG=0; 
   double der_var_rhoG=0; 
   double t1_der_var_rhoG=0; 
   double var_rhoP=0; 
   double t1_var_rhoP=0; 
   double der_var_rhoP=0; 
   double t1_der_var_rhoP=0; 
   double var_TR=0; 
   double t1_var_TR=0; 
   double der_var_TR=0; 
   double t1_der_var_TR=0; 
   double var_V=0; 
   double t1_var_V=0; 
   double der_var_V=0; 
   double t1_der_var_V=0; 
   double var_phi=0; 
   double t1_var_phi=0; 
   double der_var_phi=0; 
   double t1_der_var_phi=0; 
   double var_r1=0; 
   double t1_var_r1=0; 
   double der_var_r1=0; 
   double t1_der_var_r1=0; 
   double var_r2=0; 
   double t1_var_r2=0; 
   double der_var_r2=0; 
   double t1_der_var_r2=0; 
   double var_r3=0; 
   double t1_var_r3=0; 
   double der_var_r3=0; 
   double t1_der_var_r3=0; 
   double var_i_expr=0; 
   double t1_var_i_expr=0; 
   double var_div0=0; 
   double t1_var_div0=0; 
   double var_i_expr2=0; 
   double t1_var_i_expr2=0; 
   double var_i_expr3=0; 
   double t1_var_i_expr3=0; 
   double var_div1=0; 
   double t1_var_div1=0; 
   double var_i_expr5=0; 
   double t1_var_i_expr5=0; 
   double var_div4=0; 
   double t1_var_div4=0; 
   double var_i_expr7=0; 
   double t1_var_i_expr7=0; 
   double var_i_expr8=0; 
   double t1_var_i_expr8=0; 
   double var_div6=0; 
   double t1_var_div6=0; 
   double var_i_expr10=0; 
   double t1_var_i_expr10=0; 
   double var_i_expr11=0; 
   double t1_var_i_expr11=0; 
   double var_div9=0; 
   double t1_var_div9=0; 
   double var_div12=0; 
   double t1_var_div12=0; 
   double var_div13=0; 
   double t1_var_div13=0; 
   double var_i_expr15=0; 
   double t1_var_i_expr15=0; 
   double var_i_expr16=0; 
   double t1_var_i_expr16=0; 
   double var_div14=0; 
   double t1_var_div14=0; 
   double var_div17=0; 
   double t1_var_div17=0; 
   double var_i_expr19=0; 
   double t1_var_i_expr19=0; 
   double var_i_expr20=0; 
   double t1_var_i_expr20=0; 
   double var_div18=0; 
   double t1_var_div18=0; 
   double var_div21=0; 
   double t1_var_div21=0; 
   double var_i_expr23=0; 
   double t1_var_i_expr23=0; 
   double var_i_expr24=0; 
   double t1_var_i_expr24=0; 
   double var_div22=0; 
   double t1_var_div22=0; 
   double var_div25=0; 
   double t1_var_div25=0; 
   double var_i_expr27=0; 
   double t1_var_i_expr27=0; 
   double var_i_expr28=0; 
   double t1_var_i_expr28=0; 
   double var_div26=0; 
   double t1_var_div26=0; 
   double var_div29=0; 
   double t1_var_div29=0; 
   double var_div30=0; 
   double t1_var_div30=0; 
   double var_div31=0; 
   double t1_var_div31=0; 
   double var_i_expr33=0; 
   double t1_var_i_expr33=0; 
   double var_i_expr34=0; 
   double t1_var_i_expr34=0; 
   double var_div32=0; 
   double t1_var_div32=0; 
   double var_i_expr36=0; 
   double t1_var_i_expr36=0; 
   double var_div35=0; 
   double t1_var_div35=0; 
   double var_i_expr38=0; 
   double t1_var_i_expr38=0; 
   double var_div37=0; 
   double t1_var_div37=0; 
   double var_exp39=0; 
   double t1_var_exp39=0; 
   double var_i_expr41=0; 
   double t1_var_i_expr41=0; 
   double var_div40=0; 
   double t1_var_div40=0; 
   double var_exp42=0; 
   double t1_var_exp42=0; 
   double var_i_expr44=0; 
   double t1_var_i_expr44=0; 
   double var_div43=0; 
   double t1_var_div43=0; 
   double var_exp45=0; 
   double t1_var_exp45=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   double v1_4=0; 
   double t1_v1_4=0; 
   double v1_5=0; 
   double t1_v1_5=0; 
   double v1_6=0; 
   double t1_v1_6=0; 
   double v1_7=0; 
   double t1_v1_7=0; 
   double v1_8=0; 
   double t1_v1_8=0; 
   double v1_9=0; 
   double t1_v1_9=0; 
   double v1_10=0; 
   double t1_v1_10=0; 
   double v1_11=0; 
   double t1_v1_11=0; 
   double v1_12=0; 
   double t1_v1_12=0; 
   double v1_13=0; 
   double t1_v1_13=0; 
   double v1_14=0; 
   double t1_v1_14=0; 
   double v1_15=0; 
   double t1_v1_15=0; 
   double v1_16=0; 
   double t1_v1_16=0; 
   double v1_17=0; 
   double t1_v1_17=0; 
   double v1_18=0; 
   double t1_v1_18=0; 
   double v1_19=0; 
   double t1_v1_19=0; 
   double v1_20=0; 
   double t1_v1_20=0; 
   double v1_21=0; 
   double t1_v1_21=0; 
   double v1_22=0; 
   double t1_v1_22=0; 
   double v1_23=0; 
   double t1_v1_23=0; 
   double v1_24=0; 
   double t1_v1_24=0; 
   double v1_25=0; 
   double t1_v1_25=0; 
   double v1_26=0; 
   double t1_v1_26=0; 
   double v1_27=0; 
   double t1_v1_27=0; 
   double v1_28=0; 
   double t1_v1_28=0; 
   double v1_29=0; 
   double t1_v1_29=0; 
   double v1_30=0; 
   double t1_v1_30=0; 
   double v1_31=0; 
   double t1_v1_31=0; 
   double v1_32=0; 
   double t1_v1_32=0; 
   double v1_33=0; 
   double t1_v1_33=0; 
   t1_v1_0=0;  // TLM constant reference
   v1_0=9;  // SAC constant reference
   t1_var_n_x=t1_v1_0; // TLM =
   var_n_x=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=35;  // SAC constant reference
   t1_var_Tin=t1_v1_0; // TLM =
   var_Tin=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=0;  // SAC constant reference
   t1_var_FbinMin=t1_v1_0; // TLM =
   var_FbinMin=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=5.784;  // SAC constant reference
   t1_var_FbinMax=t1_v1_0; // TLM =
   var_FbinMax=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=20;  // SAC constant reference
   t1_var_TwMin=t1_v1_0; // TLM =
   var_TwMin=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=100;  // SAC constant reference
   t1_var_TwMax=t1_v1_0; // TLM =
   var_TwMax=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=273.15;  // SAC constant reference
   t1_var_TK0=t1_v1_0; // TLM =
   var_TK0=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=6.6667;  // SAC constant reference
   t1_var_b2=t1_v1_0; // TLM =
   var_b2=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=1000;  // SAC constant reference
   t1_var_Fscal=t1_v1_0; // TLM =
   var_Fscal=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=100;  // SAC constant reference
   t1_var_MA=t1_v1_0; // TLM =
   var_MA=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=100;  // SAC constant reference
   t1_var_MB=t1_v1_0; // TLM =
   var_MB=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=200;  // SAC constant reference
   t1_var_MC=t1_v1_0; // TLM =
   var_MC=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=200;  // SAC constant reference
   t1_var_ME=t1_v1_0; // TLM =
   var_ME=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=300;  // SAC constant reference
   t1_var_MG=t1_v1_0; // TLM =
   var_MG=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=100;  // SAC constant reference
   t1_var_MP=t1_v1_0; // TLM =
   var_MP=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=1.6599e+06;  // SAC constant reference
   t1_var_k1=t1_v1_0; // TLM =
   var_k1=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=7.2117e+08;  // SAC constant reference
   t1_var_k2=t1_v1_0; // TLM =
   var_k2=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=2.6745e+12;  // SAC constant reference
   t1_var_k3=t1_v1_0; // TLM =
   var_k3=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=6666.7;  // SAC constant reference
   t1_v1_1=0-t1_v1_0; // TLM -
   v1_1=0-v1_0; // SAC -
   t1_var_E1=t1_v1_1; // TLM =
   var_E1=v1_1; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=8333.3;  // SAC constant reference
   t1_v1_1=0-t1_v1_0; // TLM -
   v1_1=0-v1_0; // SAC -
   t1_var_E2=t1_v1_1; // TLM =
   var_E2=v1_1; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=11111;  // SAC constant reference
   t1_v1_1=0-t1_v1_0; // TLM -
   v1_1=0-v1_0; // SAC -
   t1_var_E3=t1_v1_1; // TLM =
   var_E3=v1_1; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=263.8;  // SAC constant reference
   t1_v1_1=0-t1_v1_0; // TLM -
   v1_1=0-v1_0; // SAC -
   t1_var_DH1=t1_v1_1; // TLM =
   var_DH1=v1_1; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=158.3;  // SAC constant reference
   t1_v1_1=0-t1_v1_0; // TLM -
   v1_1=0-v1_0; // SAC -
   t1_var_DH2=t1_v1_1; // TLM =
   var_DH2=v1_1; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=226.3;  // SAC constant reference
   t1_v1_1=0-t1_v1_0; // TLM -
   v1_1=0-v1_0; // SAC -
   t1_var_DH3=t1_v1_1; // TLM =
   var_DH3=v1_1; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=4.184;  // SAC constant reference
   t1_var_CP=t1_v1_0; // TLM =
   var_CP=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=5554.1;  // SAC constant reference
   t1_var_cRevP=t1_v1_0; // TLM =
   var_cRevP=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=125.91;  // SAC constant reference
   t1_var_cRevE=t1_v1_0; // TLM =
   var_cRevE=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=9.2903;  // SAC constant reference
   t1_var_Aref=t1_v1_0; // TLM =
   var_Aref=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=2105.2;  // SAC constant reference
   t1_var_mref=t1_v1_0; // TLM =
   var_mref=v1_0; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=0.23082;  // SAC constant reference
   t1_var_U=t1_v1_0; // TLM =
   var_U=v1_0; // SAC =
   t1_v1_0=t1_p[0]; // TLM array memory reference
   v1_0=p[0]; // SAC array memory reference
   t1_par_TwCur=t1_v1_0; // TLM =
   par_TwCur=v1_0; // SAC =
   t1_v1_0=t1_p[1]; // TLM array memory reference
   v1_0=p[1]; // SAC array memory reference
   t1_par_FbinCur=t1_v1_0; // TLM =
   par_FbinCur=v1_0; // SAC =
   t1_v1_0=t1_p[2]; // TLM array memory reference
   v1_0=p[2]; // SAC array memory reference
   t1_par_FainCur=t1_v1_0; // TLM =
   par_FainCur=v1_0; // SAC =
   t1_v1_0=t1_p[3]; // TLM array memory reference
   v1_0=p[3]; // SAC array memory reference
   t1_par_FinalTime=t1_v1_0; // TLM =
   par_FinalTime=v1_0; // SAC =
   t1_v1_0=t1_x[0]; // TLM array memory reference
   v1_0=x[0]; // SAC array memory reference
   t1_var_rhoA=t1_v1_0; // TLM =
   var_rhoA=v1_0; // SAC =
   t1_v1_0=t1_der_x[0]; // TLM array memory reference
   v1_0=der_x[0]; // SAC array memory reference
   t1_der_var_rhoA=t1_v1_0; // TLM =
   der_var_rhoA=v1_0; // SAC =
   t1_v1_0=t1_x[1]; // TLM array memory reference
   v1_0=x[1]; // SAC array memory reference
   t1_var_rhoB=t1_v1_0; // TLM =
   var_rhoB=v1_0; // SAC =
   t1_v1_0=t1_der_x[1]; // TLM array memory reference
   v1_0=der_x[1]; // SAC array memory reference
   t1_der_var_rhoB=t1_v1_0; // TLM =
   der_var_rhoB=v1_0; // SAC =
   t1_v1_0=t1_x[2]; // TLM array memory reference
   v1_0=x[2]; // SAC array memory reference
   t1_var_rhoC=t1_v1_0; // TLM =
   var_rhoC=v1_0; // SAC =
   t1_v1_0=t1_der_x[2]; // TLM array memory reference
   v1_0=der_x[2]; // SAC array memory reference
   t1_der_var_rhoC=t1_v1_0; // TLM =
   der_var_rhoC=v1_0; // SAC =
   t1_v1_0=t1_x[3]; // TLM array memory reference
   v1_0=x[3]; // SAC array memory reference
   t1_var_rhoE=t1_v1_0; // TLM =
   var_rhoE=v1_0; // SAC =
   t1_v1_0=t1_der_x[3]; // TLM array memory reference
   v1_0=der_x[3]; // SAC array memory reference
   t1_der_var_rhoE=t1_v1_0; // TLM =
   der_var_rhoE=v1_0; // SAC =
   t1_v1_0=t1_x[4]; // TLM array memory reference
   v1_0=x[4]; // SAC array memory reference
   t1_var_rhoG=t1_v1_0; // TLM =
   var_rhoG=v1_0; // SAC =
   t1_v1_0=t1_der_x[4]; // TLM array memory reference
   v1_0=der_x[4]; // SAC array memory reference
   t1_der_var_rhoG=t1_v1_0; // TLM =
   der_var_rhoG=v1_0; // SAC =
   t1_v1_0=t1_x[5]; // TLM array memory reference
   v1_0=x[5]; // SAC array memory reference
   t1_var_rhoP=t1_v1_0; // TLM =
   var_rhoP=v1_0; // SAC =
   t1_v1_0=t1_der_x[5]; // TLM array memory reference
   v1_0=der_x[5]; // SAC array memory reference
   t1_der_var_rhoP=t1_v1_0; // TLM =
   der_var_rhoP=v1_0; // SAC =
   t1_v1_0=t1_x[6]; // TLM array memory reference
   v1_0=x[6]; // SAC array memory reference
   t1_var_TR=t1_v1_0; // TLM =
   var_TR=v1_0; // SAC =
   t1_v1_0=t1_der_x[6]; // TLM array memory reference
   v1_0=der_x[6]; // SAC array memory reference
   t1_der_var_TR=t1_v1_0; // TLM =
   der_var_TR=v1_0; // SAC =
   t1_v1_0=t1_x[7]; // TLM array memory reference
   v1_0=x[7]; // SAC array memory reference
   t1_var_V=t1_v1_0; // TLM =
   var_V=v1_0; // SAC =
   t1_v1_0=t1_der_x[7]; // TLM array memory reference
   v1_0=der_x[7]; // SAC array memory reference
   t1_der_var_V=t1_v1_0; // TLM =
   der_var_V=v1_0; // SAC =
   t1_v1_0=t1_x[8]; // TLM array memory reference
   v1_0=x[8]; // SAC array memory reference
   t1_var_phi=t1_v1_0; // TLM =
   var_phi=v1_0; // SAC =
   t1_v1_0=t1_der_x[8]; // TLM array memory reference
   v1_0=der_x[8]; // SAC array memory reference
   t1_der_var_phi=t1_v1_0; // TLM =
   der_var_phi=v1_0; // SAC =
   t1_v1_0=t1_x[9]; // TLM array memory reference
   v1_0=x[9]; // SAC array memory reference
   t1_var_r1=t1_v1_0; // TLM =
   var_r1=v1_0; // SAC =
   t1_v1_0=t1_der_x[9]; // TLM array memory reference
   v1_0=der_x[9]; // SAC array memory reference
   t1_der_var_r1=t1_v1_0; // TLM =
   der_var_r1=v1_0; // SAC =
   t1_v1_0=t1_x[10]; // TLM array memory reference
   v1_0=x[10]; // SAC array memory reference
   t1_var_r2=t1_v1_0; // TLM =
   var_r2=v1_0; // SAC =
   t1_v1_0=t1_der_x[10]; // TLM array memory reference
   v1_0=der_x[10]; // SAC array memory reference
   t1_der_var_r2=t1_v1_0; // TLM =
   der_var_r2=v1_0; // SAC =
   t1_v1_0=t1_x[11]; // TLM array memory reference
   v1_0=x[11]; // SAC array memory reference
   t1_var_r3=t1_v1_0; // TLM =
   var_r3=v1_0; // SAC =
   t1_v1_0=t1_der_x[11]; // TLM array memory reference
   v1_0=der_x[11]; // SAC array memory reference
   t1_der_var_r3=t1_v1_0; // TLM =
   der_var_r3=v1_0; // SAC =
   // nonfloat assignment
   i_E=i_E_start;
   while (i_E<i_E_end) {
      // nonfloat assignment
      i__switch=yy_ind[i_E];
      switch (i__switch) {
         case 0: {
            t1_v1_0=t1_var_Fscal; // TLM scalar memory reference
            v1_0=var_Fscal; // SAC scalar memory reference
            t1_v1_1=t1_var_V; // TLM scalar memory reference
            v1_1=var_V; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr=t1_v1_3; // TLM =
            var_i_expr=v1_3; // SAC =
            t1_acs_div(par_FainCur,t1_par_FainCur,var_i_expr,t1_var_i_expr,var_div0,t1_var_div0);
            t1_v1_0=t1_par_FbinCur; // TLM scalar memory reference
            v1_0=par_FbinCur; // SAC scalar memory reference
            t1_v1_1=t1_par_FainCur; // TLM scalar memory reference
            v1_1=par_FainCur; // SAC scalar memory reference
            t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
            v1_2=v1_0+v1_1; // SAC +
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr2=t1_v1_3; // TLM =
            var_i_expr2=v1_3; // SAC =
            t1_v1_0=t1_var_Fscal; // TLM scalar memory reference
            v1_0=var_Fscal; // SAC scalar memory reference
            t1_v1_1=t1_var_V; // TLM scalar memory reference
            v1_1=var_V; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr3=t1_v1_3; // TLM =
            var_i_expr3=v1_3; // SAC =
            t1_acs_div(var_i_expr2,t1_var_i_expr2,var_i_expr3,t1_var_i_expr3,var_div1,t1_var_div1);
            t1_v1_0=t1_der_var_rhoA; // TLM scalar memory reference
            v1_0=der_var_rhoA; // SAC scalar memory reference
            t1_v1_1=t1_var_div0; // TLM scalar memory reference
            v1_1=var_div0; // SAC scalar memory reference
            t1_v1_2=t1_var_rhoA; // TLM scalar memory reference
            v1_2=var_rhoA; // SAC scalar memory reference
            t1_v1_3=t1_var_div1; // TLM scalar memory reference
            v1_3=var_div1; // SAC scalar memory reference
            t1_v1_4=v1_3*t1_v1_2+v1_2*t1_v1_3; // TLM *
            v1_4=v1_2*v1_3; // SAC *
            t1_v1_5=t1_v1_1-t1_v1_4; // TLM -
            v1_5=v1_1-v1_4; // SAC -
            t1_v1_6=t1_var_k1; // TLM scalar memory reference
            v1_6=var_k1; // SAC scalar memory reference
            t1_v1_7=t1_var_r1; // TLM scalar memory reference
            v1_7=var_r1; // SAC scalar memory reference
            t1_v1_8=v1_7*t1_v1_6+v1_6*t1_v1_7; // TLM *
            v1_8=v1_6*v1_7; // SAC *
            t1_v1_9=t1_v1_5-t1_v1_8; // TLM -
            v1_9=v1_5-v1_8; // SAC -
            t1_v1_10=t1_v1_9; // TLM ()
            v1_10=v1_9; // SAC ()
            t1_v1_11=t1_v1_0-t1_v1_10; // TLM -
            v1_11=v1_0-v1_10; // SAC -
            t1_yy[i_E]=t1_v1_11; // TLM =
            yy[i_E]=v1_11; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 1: {
            t1_v1_0=t1_var_Fscal; // TLM scalar memory reference
            v1_0=var_Fscal; // SAC scalar memory reference
            t1_v1_1=t1_var_V; // TLM scalar memory reference
            v1_1=var_V; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr5=t1_v1_3; // TLM =
            var_i_expr5=v1_3; // SAC =
            t1_acs_div(par_FbinCur,t1_par_FbinCur,var_i_expr5,t1_var_i_expr5,var_div4,t1_var_div4);
            t1_v1_0=t1_par_FbinCur; // TLM scalar memory reference
            v1_0=par_FbinCur; // SAC scalar memory reference
            t1_v1_1=t1_par_FainCur; // TLM scalar memory reference
            v1_1=par_FainCur; // SAC scalar memory reference
            t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
            v1_2=v1_0+v1_1; // SAC +
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr7=t1_v1_3; // TLM =
            var_i_expr7=v1_3; // SAC =
            t1_v1_0=t1_var_Fscal; // TLM scalar memory reference
            v1_0=var_Fscal; // SAC scalar memory reference
            t1_v1_1=t1_var_V; // TLM scalar memory reference
            v1_1=var_V; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr8=t1_v1_3; // TLM =
            var_i_expr8=v1_3; // SAC =
            t1_acs_div(var_i_expr7,t1_var_i_expr7,var_i_expr8,t1_var_i_expr8,var_div6,t1_var_div6);
            t1_v1_0=t1_der_var_rhoB; // TLM scalar memory reference
            v1_0=der_var_rhoB; // SAC scalar memory reference
            t1_v1_1=t1_var_div4; // TLM scalar memory reference
            v1_1=var_div4; // SAC scalar memory reference
            t1_v1_2=t1_var_rhoB; // TLM scalar memory reference
            v1_2=var_rhoB; // SAC scalar memory reference
            t1_v1_3=t1_var_div6; // TLM scalar memory reference
            v1_3=var_div6; // SAC scalar memory reference
            t1_v1_4=v1_3*t1_v1_2+v1_2*t1_v1_3; // TLM *
            v1_4=v1_2*v1_3; // SAC *
            t1_v1_5=t1_v1_1-t1_v1_4; // TLM -
            v1_5=v1_1-v1_4; // SAC -
            t1_v1_6=t1_var_k1; // TLM scalar memory reference
            v1_6=var_k1; // SAC scalar memory reference
            t1_v1_7=t1_var_r1; // TLM scalar memory reference
            v1_7=var_r1; // SAC scalar memory reference
            t1_v1_8=v1_7*t1_v1_6+v1_6*t1_v1_7; // TLM *
            v1_8=v1_6*v1_7; // SAC *
            t1_v1_9=t1_v1_5-t1_v1_8; // TLM -
            v1_9=v1_5-v1_8; // SAC -
            t1_v1_10=t1_var_k2; // TLM scalar memory reference
            v1_10=var_k2; // SAC scalar memory reference
            t1_v1_11=t1_var_r2; // TLM scalar memory reference
            v1_11=var_r2; // SAC scalar memory reference
            t1_v1_12=v1_11*t1_v1_10+v1_10*t1_v1_11; // TLM *
            v1_12=v1_10*v1_11; // SAC *
            t1_v1_13=t1_v1_9-t1_v1_12; // TLM -
            v1_13=v1_9-v1_12; // SAC -
            t1_v1_14=t1_v1_13; // TLM ()
            v1_14=v1_13; // SAC ()
            t1_v1_15=t1_v1_0-t1_v1_14; // TLM -
            v1_15=v1_0-v1_14; // SAC -
            t1_yy[i_E]=t1_v1_15; // TLM =
            yy[i_E]=v1_15; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 2: {
            t1_v1_0=t1_par_FbinCur; // TLM scalar memory reference
            v1_0=par_FbinCur; // SAC scalar memory reference
            t1_v1_1=t1_par_FainCur; // TLM scalar memory reference
            v1_1=par_FainCur; // SAC scalar memory reference
            t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
            v1_2=v1_0+v1_1; // SAC +
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr10=t1_v1_3; // TLM =
            var_i_expr10=v1_3; // SAC =
            t1_v1_0=t1_var_Fscal; // TLM scalar memory reference
            v1_0=var_Fscal; // SAC scalar memory reference
            t1_v1_1=t1_var_V; // TLM scalar memory reference
            v1_1=var_V; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr11=t1_v1_3; // TLM =
            var_i_expr11=v1_3; // SAC =
            t1_acs_div(var_i_expr10,t1_var_i_expr10,var_i_expr11,t1_var_i_expr11,var_div9,t1_var_div9);
            t1_acs_div(var_MC,t1_var_MC,var_MA,t1_var_MA,var_div12,t1_var_div12);
            t1_acs_div(var_MC,t1_var_MC,var_MB,t1_var_MB,var_div13,t1_var_div13);
            t1_v1_0=t1_der_var_rhoC; // TLM scalar memory reference
            v1_0=der_var_rhoC; // SAC scalar memory reference
            t1_v1_1=t1_var_rhoC; // TLM scalar memory reference
            v1_1=var_rhoC; // SAC scalar memory reference
            t1_v1_2=t1_var_div9; // TLM scalar memory reference
            v1_2=var_div9; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=0-t1_v1_3; // TLM -
            v1_4=0-v1_3; // SAC -
            t1_v1_5=t1_var_div12; // TLM scalar memory reference
            v1_5=var_div12; // SAC scalar memory reference
            t1_v1_6=t1_var_k1; // TLM scalar memory reference
            v1_6=var_k1; // SAC scalar memory reference
            t1_v1_7=v1_6*t1_v1_5+v1_5*t1_v1_6; // TLM *
            v1_7=v1_5*v1_6; // SAC *
            t1_v1_8=t1_var_r1; // TLM scalar memory reference
            v1_8=var_r1; // SAC scalar memory reference
            t1_v1_9=v1_8*t1_v1_7+v1_7*t1_v1_8; // TLM *
            v1_9=v1_7*v1_8; // SAC *
            t1_v1_10=t1_v1_4+t1_v1_9; // TLM +
            v1_10=v1_4+v1_9; // SAC +
            t1_v1_11=t1_var_div13; // TLM scalar memory reference
            v1_11=var_div13; // SAC scalar memory reference
            t1_v1_12=t1_var_k2; // TLM scalar memory reference
            v1_12=var_k2; // SAC scalar memory reference
            t1_v1_13=v1_12*t1_v1_11+v1_11*t1_v1_12; // TLM *
            v1_13=v1_11*v1_12; // SAC *
            t1_v1_14=t1_var_r2; // TLM scalar memory reference
            v1_14=var_r2; // SAC scalar memory reference
            t1_v1_15=v1_14*t1_v1_13+v1_13*t1_v1_14; // TLM *
            v1_15=v1_13*v1_14; // SAC *
            t1_v1_16=t1_v1_10-t1_v1_15; // TLM -
            v1_16=v1_10-v1_15; // SAC -
            t1_v1_17=t1_var_k3; // TLM scalar memory reference
            v1_17=var_k3; // SAC scalar memory reference
            t1_v1_18=t1_var_r3; // TLM scalar memory reference
            v1_18=var_r3; // SAC scalar memory reference
            t1_v1_19=v1_18*t1_v1_17+v1_17*t1_v1_18; // TLM *
            v1_19=v1_17*v1_18; // SAC *
            t1_v1_20=t1_v1_16-t1_v1_19; // TLM -
            v1_20=v1_16-v1_19; // SAC -
            t1_v1_21=t1_v1_20; // TLM ()
            v1_21=v1_20; // SAC ()
            t1_v1_22=t1_v1_0-t1_v1_21; // TLM -
            v1_22=v1_0-v1_21; // SAC -
            t1_yy[i_E]=t1_v1_22; // TLM =
            yy[i_E]=v1_22; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 3: {
            t1_v1_0=t1_par_FbinCur; // TLM scalar memory reference
            v1_0=par_FbinCur; // SAC scalar memory reference
            t1_v1_1=t1_par_FainCur; // TLM scalar memory reference
            v1_1=par_FainCur; // SAC scalar memory reference
            t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
            v1_2=v1_0+v1_1; // SAC +
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr15=t1_v1_3; // TLM =
            var_i_expr15=v1_3; // SAC =
            t1_v1_0=t1_var_Fscal; // TLM scalar memory reference
            v1_0=var_Fscal; // SAC scalar memory reference
            t1_v1_1=t1_var_V; // TLM scalar memory reference
            v1_1=var_V; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr16=t1_v1_3; // TLM =
            var_i_expr16=v1_3; // SAC =
            t1_acs_div(var_i_expr15,t1_var_i_expr15,var_i_expr16,t1_var_i_expr16,var_div14,t1_var_div14);
            t1_acs_div(var_ME,t1_var_ME,var_MB,t1_var_MB,var_div17,t1_var_div17);
            t1_v1_0=t1_der_var_rhoE; // TLM scalar memory reference
            v1_0=der_var_rhoE; // SAC scalar memory reference
            t1_v1_1=t1_var_rhoE; // TLM scalar memory reference
            v1_1=var_rhoE; // SAC scalar memory reference
            t1_v1_2=t1_var_div14; // TLM scalar memory reference
            v1_2=var_div14; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=0-t1_v1_3; // TLM -
            v1_4=0-v1_3; // SAC -
            t1_v1_5=t1_var_div17; // TLM scalar memory reference
            v1_5=var_div17; // SAC scalar memory reference
            t1_v1_6=t1_var_k2; // TLM scalar memory reference
            v1_6=var_k2; // SAC scalar memory reference
            t1_v1_7=v1_6*t1_v1_5+v1_5*t1_v1_6; // TLM *
            v1_7=v1_5*v1_6; // SAC *
            t1_v1_8=t1_var_r2; // TLM scalar memory reference
            v1_8=var_r2; // SAC scalar memory reference
            t1_v1_9=v1_8*t1_v1_7+v1_7*t1_v1_8; // TLM *
            v1_9=v1_7*v1_8; // SAC *
            t1_v1_10=t1_v1_4+t1_v1_9; // TLM +
            v1_10=v1_4+v1_9; // SAC +
            t1_v1_11=t1_v1_10; // TLM ()
            v1_11=v1_10; // SAC ()
            t1_v1_12=t1_v1_0-t1_v1_11; // TLM -
            v1_12=v1_0-v1_11; // SAC -
            t1_yy[i_E]=t1_v1_12; // TLM =
            yy[i_E]=v1_12; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 4: {
            t1_v1_0=t1_par_FbinCur; // TLM scalar memory reference
            v1_0=par_FbinCur; // SAC scalar memory reference
            t1_v1_1=t1_par_FainCur; // TLM scalar memory reference
            v1_1=par_FainCur; // SAC scalar memory reference
            t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
            v1_2=v1_0+v1_1; // SAC +
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr19=t1_v1_3; // TLM =
            var_i_expr19=v1_3; // SAC =
            t1_v1_0=t1_var_Fscal; // TLM scalar memory reference
            v1_0=var_Fscal; // SAC scalar memory reference
            t1_v1_1=t1_var_V; // TLM scalar memory reference
            v1_1=var_V; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr20=t1_v1_3; // TLM =
            var_i_expr20=v1_3; // SAC =
            t1_acs_div(var_i_expr19,t1_var_i_expr19,var_i_expr20,t1_var_i_expr20,var_div18,t1_var_div18);
            t1_acs_div(var_MG,t1_var_MG,var_MC,t1_var_MC,var_div21,t1_var_div21);
            t1_v1_0=t1_der_var_rhoG; // TLM scalar memory reference
            v1_0=der_var_rhoG; // SAC scalar memory reference
            t1_v1_1=t1_var_rhoG; // TLM scalar memory reference
            v1_1=var_rhoG; // SAC scalar memory reference
            t1_v1_2=t1_var_div18; // TLM scalar memory reference
            v1_2=var_div18; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=0-t1_v1_3; // TLM -
            v1_4=0-v1_3; // SAC -
            t1_v1_5=t1_var_div21; // TLM scalar memory reference
            v1_5=var_div21; // SAC scalar memory reference
            t1_v1_6=t1_var_k3; // TLM scalar memory reference
            v1_6=var_k3; // SAC scalar memory reference
            t1_v1_7=v1_6*t1_v1_5+v1_5*t1_v1_6; // TLM *
            v1_7=v1_5*v1_6; // SAC *
            t1_v1_8=t1_var_r3; // TLM scalar memory reference
            v1_8=var_r3; // SAC scalar memory reference
            t1_v1_9=v1_8*t1_v1_7+v1_7*t1_v1_8; // TLM *
            v1_9=v1_7*v1_8; // SAC *
            t1_v1_10=t1_v1_4+t1_v1_9; // TLM +
            v1_10=v1_4+v1_9; // SAC +
            t1_v1_11=t1_v1_10; // TLM ()
            v1_11=v1_10; // SAC ()
            t1_v1_12=t1_v1_0-t1_v1_11; // TLM -
            v1_12=v1_0-v1_11; // SAC -
            t1_yy[i_E]=t1_v1_12; // TLM =
            yy[i_E]=v1_12; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 5: {
            t1_v1_0=t1_par_FbinCur; // TLM scalar memory reference
            v1_0=par_FbinCur; // SAC scalar memory reference
            t1_v1_1=t1_par_FainCur; // TLM scalar memory reference
            v1_1=par_FainCur; // SAC scalar memory reference
            t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
            v1_2=v1_0+v1_1; // SAC +
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr23=t1_v1_3; // TLM =
            var_i_expr23=v1_3; // SAC =
            t1_v1_0=t1_var_Fscal; // TLM scalar memory reference
            v1_0=var_Fscal; // SAC scalar memory reference
            t1_v1_1=t1_var_V; // TLM scalar memory reference
            v1_1=var_V; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr24=t1_v1_3; // TLM =
            var_i_expr24=v1_3; // SAC =
            t1_acs_div(var_i_expr23,t1_var_i_expr23,var_i_expr24,t1_var_i_expr24,var_div22,t1_var_div22);
            t1_acs_div(var_MP,t1_var_MP,var_MC,t1_var_MC,var_div25,t1_var_div25);
            t1_v1_0=t1_der_var_rhoP; // TLM scalar memory reference
            v1_0=der_var_rhoP; // SAC scalar memory reference
            t1_v1_1=t1_var_rhoP; // TLM scalar memory reference
            v1_1=var_rhoP; // SAC scalar memory reference
            t1_v1_2=t1_var_div22; // TLM scalar memory reference
            v1_2=var_div22; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=0-t1_v1_3; // TLM -
            v1_4=0-v1_3; // SAC -
            t1_v1_5=t1_var_k2; // TLM scalar memory reference
            v1_5=var_k2; // SAC scalar memory reference
            t1_v1_6=t1_var_r2; // TLM scalar memory reference
            v1_6=var_r2; // SAC scalar memory reference
            t1_v1_7=v1_6*t1_v1_5+v1_5*t1_v1_6; // TLM *
            v1_7=v1_5*v1_6; // SAC *
            t1_v1_8=t1_v1_4+t1_v1_7; // TLM +
            v1_8=v1_4+v1_7; // SAC +
            t1_v1_9=t1_var_div25; // TLM scalar memory reference
            v1_9=var_div25; // SAC scalar memory reference
            t1_v1_10=t1_var_k3; // TLM scalar memory reference
            v1_10=var_k3; // SAC scalar memory reference
            t1_v1_11=v1_10*t1_v1_9+v1_9*t1_v1_10; // TLM *
            v1_11=v1_9*v1_10; // SAC *
            t1_v1_12=t1_var_r3; // TLM scalar memory reference
            v1_12=var_r3; // SAC scalar memory reference
            t1_v1_13=v1_12*t1_v1_11+v1_11*t1_v1_12; // TLM *
            v1_13=v1_11*v1_12; // SAC *
            t1_v1_14=t1_v1_8-t1_v1_13; // TLM -
            v1_14=v1_8-v1_13; // SAC -
            t1_v1_15=t1_v1_14; // TLM ()
            v1_15=v1_14; // SAC ()
            t1_v1_16=t1_v1_0-t1_v1_15; // TLM -
            v1_16=v1_0-v1_15; // SAC -
            t1_yy[i_E]=t1_v1_16; // TLM =
            yy[i_E]=v1_16; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 6: {
            t1_v1_0=t1_var_Tin; // TLM scalar memory reference
            v1_0=var_Tin; // SAC scalar memory reference
            t1_v1_1=t1_var_TR; // TLM scalar memory reference
            v1_1=var_TR; // SAC scalar memory reference
            t1_v1_2=t1_v1_0-t1_v1_1; // TLM -
            v1_2=v1_0-v1_1; // SAC -
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr27=t1_v1_3; // TLM =
            var_i_expr27=v1_3; // SAC =
            t1_v1_0=t1_var_Fscal; // TLM scalar memory reference
            v1_0=var_Fscal; // SAC scalar memory reference
            t1_v1_1=t1_var_V; // TLM scalar memory reference
            v1_1=var_V; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr28=t1_v1_3; // TLM =
            var_i_expr28=v1_3; // SAC =
            t1_acs_div(var_i_expr27,t1_var_i_expr27,var_i_expr28,t1_var_i_expr28,var_div26,t1_var_div26);
            t1_acs_div(var_DH1,t1_var_DH1,var_CP,t1_var_CP,var_div29,t1_var_div29);
            t1_acs_div(var_DH2,t1_var_DH2,var_CP,t1_var_CP,var_div30,t1_var_div30);
            t1_acs_div(var_DH3,t1_var_DH3,var_CP,t1_var_CP,var_div31,t1_var_div31);
            t1_v1_0=t1_var_U; // TLM scalar memory reference
            v1_0=var_U; // SAC scalar memory reference
            t1_v1_1=t1_var_Aref; // TLM scalar memory reference
            v1_1=var_Aref; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr33=t1_v1_3; // TLM =
            var_i_expr33=v1_3; // SAC =
            t1_v1_0=t1_var_CP; // TLM scalar memory reference
            v1_0=var_CP; // SAC scalar memory reference
            t1_v1_1=t1_var_mref; // TLM scalar memory reference
            v1_1=var_mref; // SAC scalar memory reference
            t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
            v1_2=v1_0*v1_1; // SAC *
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr34=t1_v1_3; // TLM =
            var_i_expr34=v1_3; // SAC =
            t1_acs_div(var_i_expr33,t1_var_i_expr33,var_i_expr34,t1_var_i_expr34,var_div32,t1_var_div32);
            t1_v1_0=t1_der_var_TR; // TLM scalar memory reference
            v1_0=der_var_TR; // SAC scalar memory reference
            t1_v1_1=t1_par_FbinCur; // TLM scalar memory reference
            v1_1=par_FbinCur; // SAC scalar memory reference
            t1_v1_2=t1_par_FainCur; // TLM scalar memory reference
            v1_2=par_FainCur; // SAC scalar memory reference
            t1_v1_3=t1_v1_1+t1_v1_2; // TLM +
            v1_3=v1_1+v1_2; // SAC +
            t1_v1_4=t1_v1_3; // TLM ()
            v1_4=v1_3; // SAC ()
            t1_v1_5=t1_var_div26; // TLM scalar memory reference
            v1_5=var_div26; // SAC scalar memory reference
            t1_v1_6=v1_5*t1_v1_4+v1_4*t1_v1_5; // TLM *
            v1_6=v1_4*v1_5; // SAC *
            t1_v1_7=t1_var_div29; // TLM scalar memory reference
            v1_7=var_div29; // SAC scalar memory reference
            t1_v1_8=t1_var_k1; // TLM scalar memory reference
            v1_8=var_k1; // SAC scalar memory reference
            t1_v1_9=v1_8*t1_v1_7+v1_7*t1_v1_8; // TLM *
            v1_9=v1_7*v1_8; // SAC *
            t1_v1_10=t1_var_r1; // TLM scalar memory reference
            v1_10=var_r1; // SAC scalar memory reference
            t1_v1_11=v1_10*t1_v1_9+v1_9*t1_v1_10; // TLM *
            v1_11=v1_9*v1_10; // SAC *
            t1_v1_12=t1_v1_6-t1_v1_11; // TLM -
            v1_12=v1_6-v1_11; // SAC -
            t1_v1_13=t1_var_div30; // TLM scalar memory reference
            v1_13=var_div30; // SAC scalar memory reference
            t1_v1_14=t1_var_k2; // TLM scalar memory reference
            v1_14=var_k2; // SAC scalar memory reference
            t1_v1_15=v1_14*t1_v1_13+v1_13*t1_v1_14; // TLM *
            v1_15=v1_13*v1_14; // SAC *
            t1_v1_16=t1_var_r2; // TLM scalar memory reference
            v1_16=var_r2; // SAC scalar memory reference
            t1_v1_17=v1_16*t1_v1_15+v1_15*t1_v1_16; // TLM *
            v1_17=v1_15*v1_16; // SAC *
            t1_v1_18=t1_v1_12-t1_v1_17; // TLM -
            v1_18=v1_12-v1_17; // SAC -
            t1_v1_19=t1_var_div31; // TLM scalar memory reference
            v1_19=var_div31; // SAC scalar memory reference
            t1_v1_20=t1_var_k3; // TLM scalar memory reference
            v1_20=var_k3; // SAC scalar memory reference
            t1_v1_21=v1_20*t1_v1_19+v1_19*t1_v1_20; // TLM *
            v1_21=v1_19*v1_20; // SAC *
            t1_v1_22=t1_var_r3; // TLM scalar memory reference
            v1_22=var_r3; // SAC scalar memory reference
            t1_v1_23=v1_22*t1_v1_21+v1_21*t1_v1_22; // TLM *
            v1_23=v1_21*v1_22; // SAC *
            t1_v1_24=t1_v1_18-t1_v1_23; // TLM -
            v1_24=v1_18-v1_23; // SAC -
            t1_v1_25=t1_var_div32; // TLM scalar memory reference
            v1_25=var_div32; // SAC scalar memory reference
            t1_v1_26=t1_var_TR; // TLM scalar memory reference
            v1_26=var_TR; // SAC scalar memory reference
            t1_v1_27=t1_par_TwCur; // TLM scalar memory reference
            v1_27=par_TwCur; // SAC scalar memory reference
            t1_v1_28=t1_v1_26-t1_v1_27; // TLM -
            v1_28=v1_26-v1_27; // SAC -
            t1_v1_29=t1_v1_28; // TLM ()
            v1_29=v1_28; // SAC ()
            t1_v1_30=v1_29*t1_v1_25+v1_25*t1_v1_29; // TLM *
            v1_30=v1_25*v1_29; // SAC *
            t1_v1_31=t1_v1_24-t1_v1_30; // TLM -
            v1_31=v1_24-v1_30; // SAC -
            t1_v1_32=t1_v1_31; // TLM ()
            v1_32=v1_31; // SAC ()
            t1_v1_33=t1_v1_0-t1_v1_32; // TLM -
            v1_33=v1_0-v1_32; // SAC -
            t1_yy[i_E]=t1_v1_33; // TLM =
            yy[i_E]=v1_33; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 7: {
            t1_v1_0=t1_par_FbinCur; // TLM scalar memory reference
            v1_0=par_FbinCur; // SAC scalar memory reference
            t1_v1_1=t1_par_FainCur; // TLM scalar memory reference
            v1_1=par_FainCur; // SAC scalar memory reference
            t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
            v1_2=v1_0+v1_1; // SAC +
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr36=t1_v1_3; // TLM =
            var_i_expr36=v1_3; // SAC =
            t1_acs_div(var_i_expr36,t1_var_i_expr36,var_Fscal,t1_var_Fscal,var_div35,t1_var_div35);
            t1_v1_0=t1_der_var_V; // TLM scalar memory reference
            v1_0=der_var_V; // SAC scalar memory reference
            t1_v1_1=t1_var_div35; // TLM scalar memory reference
            v1_1=var_div35; // SAC scalar memory reference
            t1_v1_2=t1_v1_1; // TLM ()
            v1_2=v1_1; // SAC ()
            t1_v1_3=t1_v1_0-t1_v1_2; // TLM -
            v1_3=v1_0-v1_2; // SAC -
            t1_yy[i_E]=t1_v1_3; // TLM =
            yy[i_E]=v1_3; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 8: {
            t1_v1_0=t1_der_var_phi; // TLM scalar memory reference
            v1_0=der_var_phi; // SAC scalar memory reference
            t1_v1_1=t1_var_rhoP; // TLM scalar memory reference
            v1_1=var_rhoP; // SAC scalar memory reference
            t1_v1_2=t1_var_V; // TLM scalar memory reference
            v1_2=var_V; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=t1_v1_3; // TLM ()
            v1_4=v1_3; // SAC ()
            t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
            v1_5=v1_0-v1_4; // SAC -
            t1_yy[i_E]=t1_v1_5; // TLM =
            yy[i_E]=v1_5; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 9: {
            t1_v1_0=t1_var_TR; // TLM scalar memory reference
            v1_0=var_TR; // SAC scalar memory reference
            t1_v1_1=t1_var_TK0; // TLM scalar memory reference
            v1_1=var_TK0; // SAC scalar memory reference
            t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
            v1_2=v1_0+v1_1; // SAC +
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr38=t1_v1_3; // TLM =
            var_i_expr38=v1_3; // SAC =
            t1_acs_div(var_E1,t1_var_E1,var_i_expr38,t1_var_i_expr38,var_div37,t1_var_div37);
            t1_acs_exp(var_div37,t1_var_div37,var_exp39,t1_var_exp39);
            t1_v1_0=t1_var_r1; // TLM scalar memory reference
            v1_0=var_r1; // SAC scalar memory reference
            t1_v1_1=t1_var_exp39; // TLM scalar memory reference
            v1_1=var_exp39; // SAC scalar memory reference
            t1_v1_2=t1_var_rhoA; // TLM scalar memory reference
            v1_2=var_rhoA; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=t1_var_rhoB; // TLM scalar memory reference
            v1_4=var_rhoB; // SAC scalar memory reference
            t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
            v1_5=v1_3*v1_4; // SAC *
            t1_v1_6=t1_v1_5; // TLM ()
            v1_6=v1_5; // SAC ()
            t1_v1_7=t1_v1_0-t1_v1_6; // TLM -
            v1_7=v1_0-v1_6; // SAC -
            t1_yy[i_E]=t1_v1_7; // TLM =
            yy[i_E]=v1_7; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 10: {
            t1_v1_0=t1_var_TR; // TLM scalar memory reference
            v1_0=var_TR; // SAC scalar memory reference
            t1_v1_1=t1_var_TK0; // TLM scalar memory reference
            v1_1=var_TK0; // SAC scalar memory reference
            t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
            v1_2=v1_0+v1_1; // SAC +
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr41=t1_v1_3; // TLM =
            var_i_expr41=v1_3; // SAC =
            t1_acs_div(var_E2,t1_var_E2,var_i_expr41,t1_var_i_expr41,var_div40,t1_var_div40);
            t1_acs_exp(var_div40,t1_var_div40,var_exp42,t1_var_exp42);
            t1_v1_0=t1_var_r2; // TLM scalar memory reference
            v1_0=var_r2; // SAC scalar memory reference
            t1_v1_1=t1_var_exp42; // TLM scalar memory reference
            v1_1=var_exp42; // SAC scalar memory reference
            t1_v1_2=t1_var_rhoB; // TLM scalar memory reference
            v1_2=var_rhoB; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=t1_var_rhoC; // TLM scalar memory reference
            v1_4=var_rhoC; // SAC scalar memory reference
            t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
            v1_5=v1_3*v1_4; // SAC *
            t1_v1_6=t1_v1_5; // TLM ()
            v1_6=v1_5; // SAC ()
            t1_v1_7=t1_v1_0-t1_v1_6; // TLM -
            v1_7=v1_0-v1_6; // SAC -
            t1_yy[i_E]=t1_v1_7; // TLM =
            yy[i_E]=v1_7; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
         case 11: {
            t1_v1_0=t1_var_TR; // TLM scalar memory reference
            v1_0=var_TR; // SAC scalar memory reference
            t1_v1_1=t1_var_TK0; // TLM scalar memory reference
            v1_1=var_TK0; // SAC scalar memory reference
            t1_v1_2=t1_v1_0+t1_v1_1; // TLM +
            v1_2=v1_0+v1_1; // SAC +
            t1_v1_3=t1_v1_2; // TLM ()
            v1_3=v1_2; // SAC ()
            t1_var_i_expr44=t1_v1_3; // TLM =
            var_i_expr44=v1_3; // SAC =
            t1_acs_div(var_E3,t1_var_E3,var_i_expr44,t1_var_i_expr44,var_div43,t1_var_div43);
            t1_acs_exp(var_div43,t1_var_div43,var_exp45,t1_var_exp45);
            t1_v1_0=t1_var_r3; // TLM scalar memory reference
            v1_0=var_r3; // SAC scalar memory reference
            t1_v1_1=t1_var_exp45; // TLM scalar memory reference
            v1_1=var_exp45; // SAC scalar memory reference
            t1_v1_2=t1_var_rhoC; // TLM scalar memory reference
            v1_2=var_rhoC; // SAC scalar memory reference
            t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
            v1_3=v1_1*v1_2; // SAC *
            t1_v1_4=t1_var_rhoP; // TLM scalar memory reference
            v1_4=var_rhoP; // SAC scalar memory reference
            t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
            v1_5=v1_3*v1_4; // SAC *
            t1_v1_6=t1_v1_5; // TLM ()
            v1_6=v1_5; // SAC ()
            t1_v1_7=t1_v1_0-t1_v1_6; // TLM -
            v1_7=v1_0-v1_6; // SAC -
            t1_yy[i_E]=t1_v1_7; // TLM =
            yy[i_E]=v1_7; // SAC =
            // nonfloat assignment
            i_E=i_E+1;
            break;
         }
      }
   }
}
void t1_res_block(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c, int& n_yy_ind, int* yy_ind)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_E_end=12; 
   int i__start=0; 
   int i__end=0; 
   int i__switch=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   while (i_E<n_yy_ind) {
      // nonfloat assignment
      i__switch=yy_ind[i_E];
      // nonfloat assignment
      i__start=0;
      // nonfloat assignment
      i__end=12;
      if ((i__switch>=i__start) && (i__switch<i__end)) {
         // nonfloat assignment
         i__end=i_E+1;
         t1_res_block_0(yy,t1_yy,der_x,t1_der_x,x,t1_x,p,t1_p,condit,lock,prev,n_x,n_p,n_c,n_yy_ind,yy_ind,i_E,i__end);
      }
      // nonfloat assignment
      i_E=i_E+1;
   }
}
